<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__impl__wdt" kind="group">
    <compoundname>group_hal_impl_wdt</compoundname>
    <title>WDT (Watchdog Timer)</title>
    <briefdescription>
<para>The PSoC 6 WDT is only capable of supporting certain timeout ranges below its maximum timeout. </para>    </briefdescription>
    <detaileddescription>
<para>As a result, any unsupported timeouts given to the HAL WDT are rounded up to the nearest supported value. The following table describes the unsupported ranges and the timeout values they are rounded to.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Range (ms)&lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Rounded Timeout (ms) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;3001 - 3999 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;4000  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;1501 - 1999 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;2000  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;751 - 999 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1000  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;376 - 499 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;500  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;188 - 249 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;250  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;94 - 124 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;125  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;47 - 62 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;63  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;24 - 31 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;32  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;12 - 15 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;16  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;6 - 7 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;8  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;3 - 3 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;4  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>    </detaileddescription>
  </compounddef>
</doxygen>